---
title: Cloud Firestore iOS Integration
description: Manually integrate Cloud Firestore into your iOS application.
next: /firestore/usage/installation/android
previous: /firestore/usage
---

# iOS Manual Linking

The following steps are only required if your environment does not have access to React Native auto-linking (<= 0.59) or you need to manually integrate the library.

## 1. Add the Pod

Add the `RNFBFirestore` Pod to your projects `/ios/Podfile`:

```ruby
target 'app' do
  # ...
  pod 'RNFBFirestore', :path => '../node_modules/@react-native-firebase/firestore'
end
```

## 2. Update Pods & rebuild the project

You may need to update your local Pods in order for the `RNFBFirestore` Pod to be installed in your project:

```bash
$ cd ios/
$ pod install --repo-update
```

Once the Pods have installed locally, rebuild your iOS project:

```bash
npx react-native run-ios
```
