---
title: iOS Setup
description: Manually integrateFirebase In-App Messaging into your iOS application.
next: /in-app-messaging/usage/installation/android
previous: /in-app-messaging/usage
---

# iOS Manual Installation

The following steps are only required if your environment does not have access to React Native
auto-linking.

## 1. Add the Pod

Add the `RNFBInAppMessaging` Pod to your projects `/ios/Podfile`:

```ruby
target 'app' do
  ...
  pod 'RNFBInAppMessaging', :path => '../node_modules/@react-native-firebase/in-app-messaging'
end
```

## 2. Update Pods & rebuild the project

You may need to update your local Pods in order for the `RNFBInAppMessaging` Pod to be installed in your project:

```bash
$ cd ios/
$ pod install --repo-update
```

Once the Pods have installed locally, rebuild your iOS project:

```bash
npx react-native run-ios
```
