---
title: v6.0.1 Release
description: 'Bug fixes and documentation updates release.'
---

> Please tag any GitHub issues regarding v6 with `[v6]` in the title.

🐞 This is a bug fix release. 🐞

- Fix [#2635](https://github.com/invertase/react-native-firebase/issues/2635); Android build error; Cannot get property 'parentFile' on null object when trying to detect a `firebase.json` file
- Fix [#2648](https://github.com/invertase/react-native-firebase/issues/2648); TypeScript; Auto complete not working with vscode

## Authentication

- Fix [#2639](https://github.com/invertase/react-native-firebase/issues/2639); Android; Casting error from JS to native when calling `auth().verifyPhoneNumber(phoneNumber)`
- Fix [#2693](https://github.com/invertase/react-native-firebase/issues/2693); iOS; Can't use `verifyPhoneNumber`

## Crashlytics

- Fix [#2307](https://github.com/invertase/react-native-firebase/issues/2307); Android,iOS; `crashlytics().setUserId` crashes when `auto_collection` disabled

## Firestore

- Fix [#2654](https://github.com/invertase/react-native-firebase/issues/2654); Firestore settings not applied
- Fix [#2532](https://github.com/invertase/react-native-firebase/issues/2532); Update with FieldPath doesn't deep merge
- Fix [#2581](https://github.com/invertase/react-native-firebase/issues/2581); Index Creation Error Message Surfacing
- Fix [#2691](https://github.com/invertase/react-native-firebase/issues/2691); `FirestoreQuery`/`FirestoreQueryModifiers` incorrectly mutating previous query instances when chaining
- Fix [#2681](https://github.com/invertase/react-native-firebase/issues/2681); NPE in exception handling

## Realtime Database

- Fix `DatabaseQuery`/`DatabaseQueryModifiers` incorrectly mutating previous query instances when chaining

## Vision

- Fix [#2666](https://github.com/invertase/react-native-firebase/issues/2666); textRecognizerProcessImage() errors with `vision/file-not-found` when using `file://` paths
