---
title: v6.3.0 Release
description: Bug fixes and documentation updates release.
---

> Please tag any GitHub issues regarding v6 with `[v6]` in the title.

🐞 This is a bug fix and feature release. 🐞

## Features

- Integrated `userAccessGroup` iOS method into the `auth` module ([#3074](https://github.com/invertase/react-native-firebase/issues/3074)) ([#044711c](https://github.com/invertase/react-native-firebase/commit/044711cf7d70d65c1ecda039f047d2a6bf304770))

### SDK & Dependencies Updates

- Update iOS dependencies, `Crashlytics` to v3.14.0 & `Fabric` to v1.10.2 ([#3012](https://github.com/invertase/react-native-firebase/issues/3012)) ([#3901634](https://github.com/invertase/react-native-firebase/commit/39016346e419175119e863b2e2bff10166ddf40c))

### Firestore

- Add `QueryDocumentSnapshot` interface ([#5de3770](https://github.com/invertase/react-native-firebase/commit/5de37708daead91b849674b12fa5da761cbaf649))

## Bug Fixes

- **admob:** add missing `null` checks (([#2912](https://github.com/invertase/react-native-firebase/issues/2912)) ([#b5243cf](https://github.com/invertase/react-native-firebase/commit/b5243cf25a130d10160635c23846a20435995cad))

- **admob:** set correct loading variable to allow multiple admobs (([#3185](https://github.com/invertase/react-native-firebase/issues/3185)) ([#af768e3](https://github.com/invertase/react-native-firebase/commit/af768e3eb57975bec8b4c0f0f50dd0f9e7418e27))

- **analytics:** fixed dynamic linking bug whenever analytics parameters are present (([#3086](https://github.com/invertase/react-native-firebase/issues/3086)) ([#716d472](https://github.com/invertase/react-native-firebase/commit/716d47262098c1ea3dcf56aaa8e04a4dcf0de6be))

- **app:** fix export to correct syntax for valid typescript parsing ([#2e2b24e](https://github.com/invertase/react-native-firebase/commit/2e2b24e51d43524c9ec5c7becd75b7dcbaca30be))

- **app:** remove `Object.freeze` from app to allow `redux-firestore` to work ([#2733](https://github.com/invertase/react-native-firebase/issues/2733)) ([#46be1b0](https://github.com/invertase/react-native-firebase/commit/46be1b0c996e976357f1190bede29559be94a162))

- **auth:** fix default params for sending sign in link to email ([#239b35b](https://github.com/invertase/react-native-firebase/commit/239b35b362289629fa4c46aa792f9b4200545d24))

- **auth:** sendPasswordResetEmail second argument is `null` by default to singal no settings ([#3198](https://github.com/invertase/react-native-firebase/issues/3198)) ([#39ceba3](https://github.com/invertase/react-native-firebase/commit/39ceba33eccf8f4dc6e0f3b4805f0034419742a9))

- **crashlytics:** fix issue where `fileName` variable could be undefined ([#3079](https://github.com/invertase/react-native-firebase/issues/3079)) ([#1813e14](https://github.com/invertase/react-native-firebase/commit/1813e14d581ef8f8a50606388468a98c046ac818))

- **crashlytics:** javascript source maps now available in crashlytics ([#3084](https://github.com/invertase/react-native-firebase/issues/3084)) ([#036a50e](https://github.com/invertase/react-native-firebase/commit/036a50e7b8328ab51ee202300f91069edd2f4cf2))

- **database:** add key to the `Reference` type for (([#3072](https://github.com/invertase/react-native-firebase/issues/3072)) ([#b8490a5](https://github.com/invertase/react-native-firebase/commit/b8490a58a8844d88cd944e0b1d8d2fa3dfb3418f))

- **firestore:** offline Android lookup was crashing when looking up document ([#2757](https://github.com/invertase/react-native-firebase/issues/2757)) ([#c66bfc6](https://github.com/invertase/react-native-firebase/commit/c66bfc61db8538cc9c1b15fa8a1c46f4cdbc580b))

- **firestore:** Can use `in` operator when using `where()` for numbers ([#3004](https://github.com/invertase/react-native-firebase/issues/3004)) ([#13a6560](https://github.com/invertase/react-native-firebase/commit/13a6560a403b353c46dff0a0a8c52fb64241f4f8))

- **firestore:** collection group queries with document snapshot as bound works ([#3063](https://github.com/invertase/react-native-firebase/issues/3063)) ([#a3aaff3](https://github.com/invertase/react-native-firebase/commit/a3aaff353f173a386af77c7302c7b23e55b28f2c))

- **firestore:** handle fieldpath as array value ([#3178](https://github.com/invertase/react-native-firebase/issues/3178)) ([#2cb6d44](https://github.com/invertase/react-native-firebase/commit/2cb6d44b77051f3831ed52b2687ce254d407904d))

- **ios:** handle `Info.plist` file paths with spaces ([#ceddf99](https://github.com/invertase/react-native-firebase/commit/ceddf996739204ce2c971eb1819bf11640b1cace))

- **ios:** use correct import of `RCTBridgeModule.h` ([#7db4cd8](https://github.com/invertase/react-native-firebase/commit/7db4cd883ab71f40fd8c9886c80d7e7489acbcc2))

- **messaging:** corrected typescript signature for `setBackgroundMessageHandler` ([#a2879b6](https://github.com/invertase/react-native-firebase/commit/a2879b60fda86232737a437f3c74110d4652aacd))

- **perf:** fixed bug which stopped custom performance metrics from working ([#3119](https://github.com/invertase/react-native-firebase/issues/3119)) ([#1e56721](https://github.com/invertase/react-native-firebase/commit/1e567214e95b199c8d7a2ed2f804cffd83a89510))
